Apache JMeter

## org.apache.jmeter.protocol.http.modifier
Class UserParameterXMLParser

    java.lang.Object
      org.apache.jmeter.protocol.http.modifier.UserParameterXMLParser

Deprecated.

    @Deprecated
    public class UserParameterXMLParser

extends Object

Parse an XML file to obtain parameter name and value information for all users defined in the XML file. This test element is deprecated. Test plans should use User Parameters instead.

Constructor Summary
`UserParameterXMLParser()` Deprecated.

Method Summary
`List<Map<String,String>>` `getXMLParameters(String xmlURI)` Deprecated. Parse all user parameter data defined in XML file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserParameterXMLParser

    public UserParameterXMLParser()

  Deprecated.

Method Detail

### getXMLParameters

    public List<Map<String,String>> getXMLParameters(String xmlURI)
                                              throws SAXException,
                                                     IOException

  Deprecated.
  Parse all user parameter data defined in XML file.

  Parameters:
    `xmlURI` - name of the XML to load users parameter data
  Returns:
    all users name value pairs obtained from XML file
  Throws:
    `SAXException`
    `IOException`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.